function y = cubic_sf(x,a)
%y = cubic_sf(x, a) generates a singularity function that is zero for x < a
% and varies like (x - a).^3 for x > a.For a linearly increasing 
% distributed load that starts at x =a and whose slope is 
% s lb/unit length^2 the bending moment is M = (s/6)*cubic_sf(x,a).

y = ((x-a).^3).*(x > a);

